summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xdesktop/.xsession9
-rwxr-xr-xsetup.sh21
-rw-r--r--test-vm.nix3
3 files changed, 24 insertions, 9 deletions
diff --git a/desktop/.xsession b/desktop/.xsession
new file mode 100755
index 0000000..fbf4ff1
--- /dev/null
+++ b/desktop/.xsession
@@ -0,0 +1,9 @@
+#!/usr/bin/env bash
+set -euo pipefail
+
+SETUP_MARKER=$HOME/.local/share/__kj.dotfiles__
+if [[ ! -e "$SETUP_MARKER" ]]; then
+ echo running setup
+ urxvt -e sh -c "$HOME/dotfiles/setup.sh; zsh"
+ touch "$SETUP_MARKER"
+fi
diff --git a/setup.sh b/setup.sh
index 9e79458..1af71ce 100755
--- a/setup.sh
+++ b/setup.sh
@@ -4,17 +4,22 @@ set -euo pipefail
STOW="stow -R --no-folding -v"
cd "$(dirname $0)"
-$STOW -R zsh
+$STOW common
+$STOW zsh
source $HOME/.zshenv
-$STOW -R Xresources
+if which xmonad >/dev/null; then
+ $STOW desktop
+ xmonad --recompile
+fi
-if which emacs >/dev/null; then
- $STOW -R emacs
- # doom sync # Too slow!
+if [[ $# -ge 1 && $1 == "fast" ]]; then
+ shift
+ exit
fi
-if which xmonad >/dev/null; then
- $STOW xmonad
- xmonad --recompile
+if which emacs >/dev/null; then
+ $STOW emacs
+ git clone --depth 1 https://github.com/hlissner/doom-emacs ~/.emacs.d
+ doom sync # Too slow!
fi
diff --git a/test-vm.nix b/test-vm.nix
index 343c73f..12d58f4 100644
--- a/test-vm.nix
+++ b/test-vm.nix
@@ -47,6 +47,7 @@ in
xscreensaver
xsel
xss-lock
+ tmux
];
systemd.services.orbekk-setup = {
@@ -57,7 +58,7 @@ in
cp -r ${dotfiles} dotfiles
# git clone ${dotfiles} dotfiles
cd dotfiles
- ./setup.sh
+ ./setup.sh fast
'';
serviceConfig = {
User = "orbekk";